### Method

# Gimp Palette entry_get_color

since: 2.2

#### Declaration [src]

    GeglColor*
    gimp_palette_entry_get_color (
      GimpPalette* palette,
      gint entry_num
    )

#### Description [src]

Gets the color of an entry in the palette.

Returns the color of the entry at the given zero-based index into the palette. Returns `NULL` when the index is out of range.

Available since: 2.2

#### Parameters

`entry_num`

  Type: `gint`

  The index of the entry to get the color of.

#### Return value

Type: `GeglColor`

The color at the index.

The caller of the method takes ownership of the data, and is responsible for freeing it.